@import "./_variables.scss";

$gutterSizes: (
    0: 0,
    xxtiny: 2px,
    xtiny: 4px,
    tiny: 8px,
    normal: 16px,
    big: 32px,
    xbig: 64px,
    xxbig: 128px,
    huge: 256px
);

.row {
    display: flex;
    flex-wrap: wrap;
    flex-grow:1;
    * {
        box-sizing: border-box;
    }
}

.col {
    flex-grow: 1;
}

@for $i from 1 through $columns {
    .col-#{$i} {
        width: $i / $columns * 100%;
    }
    .col-offset-#{$i} {
        margin-left: $i/$columns * 100%;
    }
}
@each $breakpoint in map-keys($breakpoints) {
    @media  (min-width: map-get($breakpoints, $breakpoint)) {
        @for $i from 1 through $columns {
            .col-#{$breakpoint}-#{$i} {
                width: $i / $columns * 100%;
            }
            .col-offset-#{$breakpoint}-#{$i} {
                margin-left: $i / $columns * 100%;
            }
        }
    }
}

@each $size in map-keys($gutterSizes) {
    .cols-gutter-#{$size} {
        margin-left: - map-get($gutterSizes, $size);
        margin-right: - map-get($gutterSizes, $size);
    }
    .cols-gap-#{$size} {
        margin-bottom: - map-get($gutterSizes, $size);
    }
    .cols-gutter-#{$size}>*[class*="col-"] {
        padding-left: map-get($gutterSizes, $size);
        padding-right: map-get($gutterSizes, $size);
    }
    .cols-gap-#{$size}>*[class*="col-"] {
        margin-bottom: map-get($gutterSizes, $size);
    }
}
@each $breakpoint in map-keys($breakpoints) {
    @media  (min-width: map-get($breakpoints, $breakpoint)) {
        @each $size in map-keys($gutterSizes) {
            .cols-#{$breakpoint}-gutter-#{$size} {
                margin-left: - map-get($gutterSizes, $size);
                margin-right: - map-get($gutterSizes, $size);
            }
            .cols-#{$breakpoint}-gap-#{$size} {
                margin-bottom: - map-get($gutterSizes, $size);
            }
            .cols-#{$breakpoint}-gutter-#{$size}>*[class*="col-"] {
                padding-left: map-get($gutterSizes, $size);
                padding-right: map-get($gutterSizes, $size);
            }
            .cols-#{$breakpoint}-gap-#{$size}>*[class*="col-"] {
                margin-bottom: map-get($gutterSizes, $size);
            }
        }
    }
}

.container {
    width: 896px;
    margin-left: auto;
    margin-right: auto;
    @media (max-width: 895px) {
        width: 95%;
    }
}